Bug 1312748 - Bootloader in EFI not installed when using extlinux
Summary: Bootloader in EFI not installed when using extlinux
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: syslinux
Version: 24
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-29 07:57 UTC by A.J. Werkman
Modified: 2017-12-14 09:21 UTC (History)
8 users (show)

Fixed In Version: syslinux-6.04-0.7.fc27 syslinux-6.04-0.7.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-10 05:05:57 UTC


Attachments (Terms of Use)
anaconda.log (174.83 KB, text/plain)
2016-02-29 07:57 UTC, A.J. Werkman
no flags Details
packaing.log (88.41 KB, text/plain)
2016-02-29 07:58 UTC, A.J. Werkman
no flags Details
program.log (101.51 KB, text/plain)
2016-02-29 07:58 UTC, A.J. Werkman
no flags Details
storage.log (180.49 KB, text/plain)
2016-02-29 07:59 UTC, A.J. Werkman
no flags Details
X.log (16.69 KB, text/plain)
2016-02-29 07:59 UTC, A.J. Werkman
no flags Details

Description A.J. Werkman 2016-02-29 07:57:27 UTC
Created attachment 1131435 [details]
anaconda.log

Description of problem:
Bootloader in EFI not installed

Version-Release number of selected component (if applicable):
F24 version Feb 27

How reproducible:
Everytime

Steps to Reproduce:
1. Install F24
2. Reboot
3. No bootloader

Actual results:
No bootloader installed

Expected results:
Bootloader installed

Additional info:

Comment 1 A.J. Werkman 2016-02-29 07:58:04 UTC
Created attachment 1131436 [details]
packaing.log

Comment 2 A.J. Werkman 2016-02-29 07:58:34 UTC
Created attachment 1131437 [details]
program.log

Comment 3 A.J. Werkman 2016-02-29 07:59:03 UTC
Created attachment 1131438 [details]
storage.log

Comment 4 A.J. Werkman 2016-02-29 07:59:28 UTC
Created attachment 1131439 [details]
X.log

Comment 5 David Shea 2016-03-18 21:36:52 UTC
Unless I'm missing something, the syslinux package in Fedora does not support UEFI.

Comment 6 larchunix 2016-10-29 10:11:58 UTC
(In reply to David Shea from comment #5)
> Unless I'm missing something, the syslinux package in Fedora does not
> support UEFI.

Is this intentional ? I mean it seems to be a typo mistake in syslinux spec file.

Since commit http://pkgs.fedoraproject.org/cgit/rpms/syslinux.git/commit/?id=cf3072f the check for 64 bit architecture is wrong.

A non-existent %{x86_64} macro is used instead of simply x86_64.

I rebuilt syslinux package after replacing %{x86_64} by x86_64 and then the syslinux-efi64 subpackage was built correctly (although I didn't test it on real hardware).

Comment 7 Fedora End Of Life 2017-07-25 20:15:57 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2017-08-08 13:05:05 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 Fedora Update System 2017-11-26 02:29:56 UTC
syslinux-6.04-0.7.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2e8e9bcb0f

Comment 11 Fedora Update System 2017-11-27 04:33:33 UTC
syslinux-6.04-0.7.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2e8e9bcb0f

Comment 12 Fedora Update System 2017-11-28 07:23:51 UTC
syslinux-6.04-0.7.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d9fb12e2aa

Comment 13 Fedora Update System 2017-12-10 05:05:57 UTC
syslinux-6.04-0.7.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-12-14 09:21:23 UTC
syslinux-6.04-0.7.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.